Package org.eclipse.swt.layout

## Class BorderData

- java.lang.Object
- - org.eclipse.swt.layout.BorderData

    public final class BorderData
    extends Object

Controls the several aspects of a `BorderLayout`.

Since:
  3.119

### Field Summary

Fields
`int` `hHint`
`int` `region`
`int` `wHint`

### Constructor Summary

Constructors
`BorderData()` creates a `BorderData` with default options
`BorderData​(int region)` creates a `BorderData` initialized with the given region, valid values are `SWT.TOP`, `SWT.CENTER`, `SWT.LEFT`, `SWT.RIGHT`, `SWT.BOTTOM`
`BorderData​(int region, int widthHint, int heightHint)` creates a `BorderData` initialized with the given region and width and height hints

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hHint

    public int hHint

#### wHint

    public int wHint

#### region

    public int region

### Constructor Detail

#### BorderData

    public BorderData()

creates a `BorderData` with default options

#### BorderData

    public BorderData​(int region)

creates a `BorderData` initialized with the given region, valid values are `SWT.TOP`, `SWT.CENTER`, `SWT.LEFT`, `SWT.RIGHT`, `SWT.BOTTOM`

Parameters:
  `region` - the region valid values are `SWT.TOP`, `SWT.CENTER`, `SWT.LEFT`, `SWT.RIGHT`, `SWT.BOTTOM`

#### BorderData

    public BorderData​(int region,
                      int widthHint,
                      int heightHint)

creates a `BorderData` initialized with the given region and width and height hints

Parameters:
  `region` - the region valid values are `SWT.TOP`, `SWT.CENTER`, `SWT.LEFT`, `SWT.RIGHT`, `SWT.BOTTOM`
  `widthHint` - the default hint for the width
  `heightHint` - he default hint for the height

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`